Issue 117203

Summary: Jre6 update 23 has a big performance lost unusable.
Product: Base Reporter: ocke.janssen
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Normal    
Priority: P2 CC: issues, olaf-openoffice, r4zoli
Version: DEV300m101   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description ocke.janssen 2011-03-04 06:15:08 UTC
I copied that from the users list.

Reproduce:
- Install OOo 3.3 or less
- Install JRE 1.6 update 23 or higher
- Open any hsqldb (default) database which includes a table (100 or more rows)

=> wait

I did some performance tests and the problem seems to be in
java.net.PlainSocketimpl.socketAccept It tooks double to 10 times longer as before in update 22.

- oj

>>
Hi All


Further to this, I have a Base for that, when using JRE 1.6 update 22, opens basically immediately, and yet, takes at least 15 minutes to open when using the latest JRE update. Is this going to be fixed, I raised it as an issue on the new OpenOffice structure, well I think I did, it's far from as intuitive as it used to be, also noticed that my original issues appear to have disappeared from the issues list !! Is this issue likely to be resolved? I have to admit, I have more problems with OO in the last 2 months, than I have since I first downloaded it, pre version 1.0, and I have to admit, I'm starting to get just a little disillusioned.

Cheers

Tony

On 25/02/11 23:13, Tony Smith wrote:

    Hi All


    Sun released a jre update recently, update 24. If you upgrade java to this version, you will render, SOFFICE Base forms, virtually useless. Whatever the change has been, forms that do work will load slowly, very, very slowly in some cases, you will also notice your CPU hit 100% for the soffice process.

    I have tested this in the following scenarios


    OO 3.2, 32 bit, on a netbook, ad PC hence why I have not updated OO to 3.3

    LO 3.3 64 Bit laptop

    OO 3.3 64 Bit laptop


    All exhibit exactly the same behaviour, stick JRE 6 Update 22, as this works perfectly.

    Cheers

    Tony
Comment 1 r4zoli 2011-03-04 06:41:48 UTC
The JRE6 update 24, the newest version of Java.
Comment 2 Oliver-Rainer Wittmann 2012-06-13 12:27:08 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.